Package org.eclipse.rdf4j.federated.endpoint

## Enum EndpointType

- java.lang.Object
- - java.lang.Enum<EndpointType>
  - - org.eclipse.rdf4j.federated.endpoint.EndpointType

- All Implemented Interfaces:
    `Serializable`, `Comparable<EndpointType>`

      public enum EndpointType
      extends Enum<EndpointType>

  Information about the type of an endpoint
  Author:
    Andreas Schwarte

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NativeStore` |
    `Other` |
    `RemoteRepository` |
    `SparqlEndpoint` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isSupportedFormat​(String format)` | returns true if the given format is supported by some repository type.
    `boolean` | `supportsFormat​(String format)` | Returns true if the endpoint type supports the given format (e.g.
    `static EndpointType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static EndpointType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NativeStore

          public static final EndpointType NativeStore

    - #### SparqlEndpoint

          public static final EndpointType SparqlEndpoint

    - #### RemoteRepository

          public static final EndpointType RemoteRepository

    - #### Other

          public static final EndpointType Other

  - ### Method Detail

    - #### values

          public static EndpointType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EndpointType c : EndpointType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EndpointType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### supportsFormat

          public boolean supportsFormat​(String format)

      Returns true if the endpoint type supports the given format (e.g. mime-type). Consider as an example the SparqlEndpoint which supports format "api/sparql".
      Parameters:
        `format` -
      Returns:
        true if the endpoint supports the given format

    - #### isSupportedFormat

          public static boolean isSupportedFormat​(String format)

      returns true if the given format is supported by some repository type.
      Parameters:
        `format` -
      Returns:
        wheter the given format is supported